Skip to main content
`Ctrl`+`K`

# PetscSetDebuggerFromString

Set the complete path for the debugger for PETSc to use.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSetDebuggerFromString(const char string[])

Not Collective

## Input Parameter

- string - the name of the debugger, for example “gdb”

## See Also

`PetscSetDebugger()`, `PetscSetDefaultDebugger()`, `PetscAttachDebugger()`

## Level

developer

## Location

src/sys/error/adebug.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages